/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

$initially-visible-documents: 3;

@function select-first-n-documents($n, $l) {
    $x: "";
    @for $i from 1 through $n {
        $x: append($x, ".ant-table-expanded-row-level-#{$l}");
        @for $j from 1 through $i {
            $x: append($x, " + .ant-table-row-level-#{$l}");
        }
        @if $i != $n {
            $x: append($x, ", ");
        }
    }
    @return $x;
}

// $l represents the number of parent elements that a document has.
// If it has only a compounddocument as parent, $l = 1 (Versionshistorie)
// If it has also a regulatory proposal as grand parent, $l = 2 (Meine Dokumente und Dokumente aus Abstimmungen)
@mixin hidden-documents($l) {
    .ant-table-tbody{
        .ant-table-row-level-#{$l}:not([data-row-key^="button"]):not(#{select-first-n-documents($initially-visible-documents, $l)}){
            display: none;
        }
        [data-row-key^="button"]:is(#{select-first-n-documents($initially-visible-documents + 1, $l)}) {
            display: none;
        }
        .visible-row {
            display: table-row !important;
        }
    }
}

#lea-user-documents-table, 
#lea-user-abstimmungen-table {
    @include hidden-documents(2)
}

#lea-user-version-history-table {
    @include hidden-documents(1)
}

.table-component{
    .lea-table-expand-button {
        padding: 0px !important;
        & > * {
            font-size: 1.4rem;
            font-weight: 500;
            line-height: 22px;
            text-decoration-line: underline;
        }
    }
}